package com.danitheskunk.skunkworks;

import com.danitheskunk.skunkworks.net.*;

public class TestTwitch extends BaseGame implements IIrcMessageHandler {
	Twitch twitch;
	TwitchChat chat;

	public TestTwitch() {
		super(new Vec2i(640, 360), "stuff");
		twitch = new Twitch("thvs1beyj8w6ono2jqirdz7uuu62qu");
		chat = twitch.connectChat();
		var chan = chat.join("#danitheskunk");
		chan.sendMessage("nyaa!");
		chan.setMessageHandler(this::handleMessage);
	}

	@Override
	public void handleMessage(IrcChannel channel, String message, IrcHostmask from) {
		if(message.equals("!nya")) {
			channel.sendMessage("*meows at " + from.getNick() + "*");
		}
	}

	@Override
	protected void update(double delta) {
		chat.tick();
	}

	static public void main(String[] params) {
		new TestTwitch().run();
	}
}
