package com.danitheskunk.skunkworks.gfx.threedee;

import com.danitheskunk.skunkworks.Vec3f;
import com.danitheskunk.skunkworks.gfx.Color;

public interface IRenderContext3D {
	void clearDepth();

	void renderMesh(Mesh mesh, Color tint);

	void renderMesh(Mesh mesh);

	void renderModel(Model model, Color tint);

	void renderModel(Model model);

	void renderTriangle(Vec3f p1, Vec3f p2, Vec3f p3);

	void preFrame();
}
