package com.danitheskunk.skunkworks.gfx.threedee;

import org.lwjgl.assimp.AIVertexWeight;

public class VertexWeight {
	private final int index;
	private final float weight;

	public VertexWeight(int index, float weight) {
		this.index = index;
		this.weight = weight;
	}

	public static VertexWeight fromAiWeight(AIVertexWeight aiWeight) {
		return new VertexWeight(aiWeight.mVertexId(), aiWeight.mWeight());
	}

	public int getIndex() {
		return index;
	}

	public float getWeight() {
		return weight;
	}
}
